<mat-form-field>
  <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
</mat-form-field>
<table mat-table [dataSource]="dataSource" class="mat-elevation-z8">
  <!--Position Column-->
  <ng-container matColumnDef="id">
    <mat-header-cell *matHeaderCellDef>No.</mat-header-cell>
    <mat-cell *matCellDef="let element">{{ element.id}}</mat-cell>
  </ng-container>

  <!--Name Column-->
  <ng-container matColumnDef="name">
    <mat-header-cell *matHeaderCellDef>Name</mat-header-cell>
    <mat-cell *matCellDef="let element">{{ element.name}}</mat-cell>
  </ng-container>

  <!--Weight Column-->
  <ng-container matColumnDef="composition">
    <mat-header-cell *matHeaderCellDef>Composition</mat-header-cell>
    <mat-cell *matCellDef="let element">{{ element.composition}}</mat-cell>
  </ng-container>

  <!--Symbol Column-->
  <ng-container matColumnDef="indications">
    <mat-header-cell *matHeaderCellDef>Indication</mat-header-cell>
    <mat-cell *matCellDef="let element">{{ element.indications}}</mat-cell>
  </ng-container>

  <!--Symbol Column-->
  <ng-container matColumnDef="administration">
    <mat-header-cell *matHeaderCellDef>Administration</mat-header-cell>
    <mat-cell *matCellDef="let element"> {{ element.administration}}</mat-cell>
  </ng-container>

  <!--Symbol Column-->
  <ng-container matColumnDef="price">
    <mat-header-cell *matHeaderCellDef>Price</mat-header-cell>
    <mat-cell *matCellDef="let element"> {{ element.price}}</mat-cell>
  </ng-container>

  <!--Symbol Column-->
  <ng-container matColumnDef="quantity">
    <mat-header-cell *matHeaderCellDef>Quantity</mat-header-cell>
    <mat-cell *matCellDef="let element"> {{ element.quantity}}</mat-cell>
  </ng-container>

  <!--Symbol Column-->
  <ng-container matColumnDef="madeBy">
    <mat-header-cell *matHeaderCellDef>Made By</mat-header-cell>
    <mat-cell *matCellDef="let element">{{element.madeBy}}</mat-cell>

  </ng-container>


  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row;columns:displayedColumns;"(click)="openDetails(row)"></mat-row>
</table>
